---
title: '<link>: The External Resource Link element'
slug: Web/HTML/Element/link
tags:
  - Element
  - HTML
  - HTML document metadata
  - Link
  - Reference
  - Web
  - Web Performance
  - metadata
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML External Resource Link element (<code>&lt;link&gt;</code>)</strong> specifies relationships between the current document and an external resource. This element is most commonly used to link to {{Glossary("CSS", "stylesheets")}}, but is also used to establish site icons (both "favicon" style icons and icons for the home screen and apps on mobile devices) among other things.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/link.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>To link an external stylesheet, you'd include a <code>&lt;link&gt;</code> element inside your {{HTMLElement("head")}} like this:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link href="main.css" rel="stylesheet"&gt;</pre>

<p>This simple example provides the path to the stylesheet inside an <code>href</code> attribute, and a <code>rel</code> attribute with a value of <code>stylesheet</code>. The <code>rel</code> stands for "relationship", and is probably one of the key features of the <code>&lt;link&gt;</code> element — the value denotes how the item being linked to is related to the containing document. As you'll see from our <a href="/en-US/docs/Web/HTML/Link_types">Link types</a> reference, there are many different kinds of relationship.</p>

<p>There are a number of other common types you'll come across. For example, a link to the site's favicon:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link rel="icon" href="favicon.ico"&gt;</pre>

<p>There are a number of other icon <code>rel</code> values, mainly used to indicate special icon types for use on various mobile platforms, e.g.:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link rel="apple-touch-icon-precomposed" sizes="114x114"
      href="apple-icon-114.png" type="image/png"&gt;</pre>

<p>The <code>sizes</code> attribute indicates the icon size, while the <code>type</code> contains the MIME type of the resource being linked. These provide useful hints to allow the browser to choose the most appropriate icon available.</p>

<p>You can also provide a media type or query inside a <code>media</code> attribute; this resource will then only be loaded if the media condition is true. For example:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link href="print.css" rel="stylesheet" media="print"&gt;
&lt;link href="mobile.css" rel="stylesheet" media="screen and (max-width: 600px)"&gt;</pre>

<p>Some interesting new performance and security features have been added to the <code>&lt;link&gt;</code> element too. Take this example:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link rel="preload" href="myFont.woff2" as="font"
      type="font/woff2" crossorigin="anonymous"&gt;</pre>

<p>A <code>rel</code> value of <code>preload</code> indicates that the browser should preload this resource (see <a href="/en-US/docs/Web/HTML/Preloading_content">Preloading content with rel="preload"</a> for more details), with the <code>as</code> attribute indicating the specific class of content being fetched. The <code>crossorigin</code> attribute indicates whether the resource should be fetched with a {{Glossary("CORS")}} request.</p>

<p>Other usage notes:</p>

<ul>
 <li>A <code>&lt;link&gt;</code> element can occur either in the {{HTMLElement("head")}} or {{HTMLElement("body")}} element, depending on whether it has a <a href="https://html.spec.whatwg.org/multipage/links.html#body-ok">link type</a> that is <strong>body-ok</strong>. For example, the <code>stylesheet</code> link type is body-ok, and therefore <code>&lt;link rel="stylesheet"&gt;</code> is permitted in the body. However, this isn't a good practice to follow; it makes more sense to separate your <code>&lt;link&gt;</code> elements from your body content, putting them in the <code>&lt;head&gt;</code>.</li>
 <li>When using <code>&lt;link&gt;</code> to establish a favicon for a site, and your site uses a Content Security Policy (CSP) to enhance its security, the policy applies to the favicon. If you encounter problems with the favicon not loading, verify that the {{HTTPHeader("Content-Security-Policy")}} header's <a href="/en-US/docs/Web/HTTP/Headers/Content-Security-Policy/img-src"><code>img-src</code> directive</a> is not preventing access to it.</li>
 <li>The HTML and XHTML specifications define event handlers for the <code>&lt;link&gt;</code> element, but it is unclear how they would be used.</li>
 <li>Under XHTML 1.0, empty elements such as <code>&lt;link&gt;</code> require a trailing slash: <code>&lt;link /&gt;</code>.</li>
 <li>WebTV supports the use of the value <code>next</code> for <code>rel</code> to preload the next page in a document series.</li>
</ul>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{HTMLAttrDef("as")}}</dt>
 <dd>This attribute is only used when <code>rel="preload"</code> or <code>rel="prefetch"</code> has been set on the <code>&lt;link&gt;</code> element. It specifies the type of content being loaded by the <code>&lt;link&gt;</code>, which is necessary for request matching, application of correct <a href="/en-US/docs/Web/HTTP/CSP">content security policy</a>, and setting of correct {{HTTPHeader("Accept")}} request header. Furthermore, <code>rel="preload"</code> uses this as a signal for request prioritization. The table below lists the valid values for this attribute and the elements or resources they apply to.</dd>
 <dd>
 <table class="standard-table">
  <thead>
   <tr>
    <th scope="col">Value</th>
    <th scope="col">Applies To</th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td>audio</td>
    <td><code>&lt;audio&gt;</code> elements</td>
   </tr>
   <tr>
    <td>document</td>
    <td><code>&lt;iframe&gt;</code> and <code>&lt;frame&gt;</code> elements</td>
   </tr>
   <tr>
    <td>embed</td>
    <td><code>&lt;embed&gt;</code> elements</td>
   </tr>
   <tr>
    <td>fetch</td>
    <td>
     <p>fetch, XHR</p>

     <div class="notecard note">
     <p>This value also requires <code>&lt;link&gt;</code> to contain the crossorigin attribute.</p>
     </div>
    </td>
   </tr>
   <tr>
    <td>font</td>
    <td>CSS @font-face</td>
   </tr>
   <tr>
    <td>image</td>
    <td><code>&lt;img&gt;</code> and <code>&lt;picture&gt;</code> elements with srcset or imageset attributes, SVG <code>&lt;image&gt;</code> elements, CSS <code>*-image</code> rules</td>
   </tr>
   <tr>
    <td>object</td>
    <td><code>&lt;object&gt;</code> elements</td>
   </tr>
   <tr>
    <td>script</td>
    <td><code>&lt;script&gt;</code> elements, Worker <code>importScripts</code></td>
   </tr>
   <tr>
    <td>style</td>
    <td><code>&lt;link rel=stylesheet&gt;</code> elements, CSS <code>@import</code></td>
   </tr>
   <tr>
    <td>track</td>
    <td><code>&lt;track&gt;</code> elements</td>
   </tr>
   <tr>
    <td>video</td>
    <td><code>&lt;video&gt;</code> elements</td>
   </tr>
   <tr>
    <td>worker</td>
    <td>Worker, SharedWorker</td>
   </tr>
  </tbody>
 </table>
 </dd>
 <dt>{{HTMLAttrDef("crossorigin")}}</dt>
 <dd>This enumerated attribute indicates whether {{Glossary("CORS")}} must be used when fetching the resource. <a href="/en-US/docs/Web/HTML/CORS_enabled_image">CORS-enabled images</a> can be reused in the {{HTMLElement("canvas")}} element without being <em>tainted</em>. The allowed values are:
 <dl>
  <dt><code>anonymous</code></dt>
  <dd>A cross-origin request (i.e. with an {{HTTPHeader("Origin")}} HTTP header) is performed, but no credential is sent (i.e. no cookie, X.509 certificate, or HTTP Basic authentication). If the server does not give credentials to the origin site (by not setting the {{HTTPHeader("Access-Control-Allow-Origin")}} HTTP header) the resource will be tainted and its usage restricted.</dd>
  <dt><code>use-credentials</code></dt>
  <dd>A cross-origin request (i.e. with an <code>Origin</code> HTTP header) is performed along with a credential sent (i.e. a cookie, certificate, and/or HTTP Basic authentication is performed). If the server does not give credentials to the origin site (through {{HTTPHeader("Access-Control-Allow-Credentials")}} HTTP header), the resource will be <em>tainted</em> and its usage restricted.</dd>
 </dl>
 If the attribute is not present, the resource is fetched without a {{Glossary("CORS")}} request (i.e. without sending the <code>Origin</code> HTTP header), preventing its non-tainted usage. If invalid, it is handled as if the enumerated keyword <strong>anonymous</strong> was used. See <a href="/en-US/docs/Web/HTML/Attributes/crossorigin">CORS settings attributes</a> for additional information.</dd>
 <dt>{{HTMLAttrDef("disabled")}}</dt>
 <dd>
 <p>For <code>rel="stylesheet"</code> only, the <code>disabled</code> Boolean attribute indicates whether or not the described stylesheet should be loaded and applied to the document. If <code>disabled</code> is specified in the HTML when it is loaded, the stylesheet will not be loaded during page load. Instead, the stylesheet will be loaded on-demand, if and when the <code>disabled</code> attribute is changed to <code>false</code> or removed.</p>

 <p>Setting the <code>disabled</code> property in the DOM causes the stylesheet to be removed from the document's {{domxref("DocumentOrShadowRoot/styleSheets")}} list.</p>
 </dd>
 <dt>{{HTMLAttrDef("href")}}</dt>
 <dd>This attribute specifies the {{glossary("URL")}} of the linked resource. A URL can be absolute or relative.</dd>
 <dt>{{HTMLAttrDef("hreflang")}}</dt>
 <dd>This attribute indicates the language of the linked resource. It is purely advisory. Allowed values are determined by <a href="https://www.ietf.org/rfc/bcp/bcp47.txt">BCP47</a>. Use this attribute only if the {{HTMLAttrxRef("href", "a")}} attribute is present.</dd>
 <dt>{{HTMLAttrDef("imagesizes")}}</dt>
 <dd>For <code>rel="preload"</code> and <code>as="image"</code> only, the <code>imagesizes</code> attribute is <a href="https://html.spec.whatwg.org/multipage/images.html#sizes-attribute">a sizes attribute</a> that indicates to preload the appropriate resource used by an <code>img</code> element with corresponding values for its <code>srcset</code> and <code>sizes</code> attributes.</dd>
 <dt>{{HTMLAttrDef("imagesrcset")}}</dt>
 <dd>For <code>rel="preload"</code> and <code>as="image"</code> only, the <code>imagesrcset</code> attribute is <a href="https://html.spec.whatwg.org/multipage/images.html#srcset-attribute">a sourceset attribute </a>that indicates to preload the appropriate resource used by an <code>img</code> element with corresponding values for its <code>srcset</code> and <code>sizes</code> attributes.</dd>
 <dt>{{HTMLAttrDef("integrity")}} {{Experimental_Inline}}</dt>
 <dd>Contains inline metadata — a base64-encoded cryptographic hash of the resource (file) you’re telling the browser to fetch. The browser can use this to verify that the fetched resource has been delivered free of unexpected manipulation. See <a href="/en-US/docs/Web/Security/Subresource_Integrity">Subresource Integrity</a>.</dd>
 <dt>{{HTMLAttrDef("media")}}</dt>
 <dd>This attribute specifies the media that the linked resource applies to. Its value must be a media type / <a href="/en-US/docs/Web/CSS/Media_Queries">media query</a>. This attribute is mainly useful when linking to external stylesheets — it allows the user agent to pick the best adapted one for the device it runs on.
 <div class="notecard note">
 <p><strong>Notes:</strong></p>

 <ul>
  <li>In HTML 4, this can only be a simple white-space-separated list of media description literals, i.e., <a href="/en-US/docs/Web/CSS/@media">media types and groups</a>, where defined and allowed as values for this attribute, such as <code>print</code>, <code>screen</code>, <code>aural</code>, <code>braille</code>. HTML5 extended this to any kind of <a href="/en-US/docs/Web/CSS/Media_Queries">media queries</a>, which are a superset of the allowed values of HTML 4.</li>
  <li>Browsers not supporting <a href="/en-US/docs/Web/CSS/Media_Queries">CSS3 Media Queries</a> won't necessarily recognize the adequate link; do not forget to set fallback links, the restricted set of media queries defined in HTML 4.</li>
 </ul>
 </div>
 </dd>
 <dt>{{HTMLAttrDef("prefetch")}} {{secureContext_inline}} {{experimental_inline}}</dt>
 <dd>Identifies a resource that might be required by the next navigation and that the user agent should retrieve it. This allows the user agent to respond faster when the resource is requested in the future.</dd>
 <dt>{{HTMLAttrDef("referrerpolicy")}} {{Experimental_Inline}}</dt>
 <dd>A string indicating which referrer to use when fetching the resource:
 <ul>
  <li><code>no-referrer</code> means that the {{HTTPHeader("Referer")}} header will not be sent.</li>
  <li><code>no-referrer-when-downgrade</code> means that no {{HTTPHeader("Referer")}} header will be sent when navigating to an origin without TLS (HTTPS). This is a user agent’s default behavior, if no policy is otherwise specified.</li>
  <li><code>origin</code> means that the referrer will be the origin of the page, which is roughly the scheme, the host, and the port.</li>
  <li><code>origin-when-cross-origin</code> means that navigating to other origins will be limited to the scheme, the host, and the port, while navigating on the same origin will include the referrer's path.</li>
  <li><code>unsafe-url</code> means that the referrer will include the origin and the path (but not the fragment, password, or username). This case is unsafe because it can leak origins and paths from TLS-protected resources to insecure origins.</li>
 </ul>
 </dd>
 <dt>{{HTMLAttrDef("rel")}}</dt>
 <dd>This attribute names a relationship of the linked document to the current document. The attribute must be a space-separated list of <a href="/en-US/docs/Web/HTML/Link_types">link type values</a>.</dd>
 <dt>{{HTMLAttrDef("sizes")}}</dt>
 <dd>This attribute defines the sizes of the icons for visual media contained in the resource. It must be present only if the {{HTMLAttrxRef("rel", "link")}} contains a value of <code>icon</code> or a non-standard type such as Apple's <code>apple-touch-icon</code>. It may have the following values:
 <ul>
  <li><code>any</code>, meaning that the icon can be scaled to any size as it is in a vector format, like <code>image/svg+xml</code>.</li>
  <li>a white-space separated list of sizes, each in the format <code><em>&lt;width in pixels&gt;</em>x<em>&lt;height in pixels&gt;</em></code> or <code><em>&lt;width in pixels&gt;</em>X<em>&lt;height in pixels&gt;</em></code>. Each of these sizes must be contained in the resource.</li>
 </ul>

 <div class="notecard note">
 <p><strong>Note: </strong>Most icon formats are only able to store one single icon; therefore most of the time the {{HTMLAttrxRef("sizes")}} attribute contains only one entry. MS's ICO format does, as well as Apple's ICNS. ICO is more ubiquitous, so you should use this format if cross-browser support is a concern (especially for old IE versions).</p>
 </div>
 </dd>
 <dt>{{HTMLAttrDef("title")}}</dt>
 <dd>The <code>title</code> attribute has special semantics on the <code>&lt;link&gt;</code> element. When used on a <code>&lt;link rel="stylesheet"&gt;</code> it defines a <a href="/en-US/docs/Web/CSS/Alternative_style_sheets">preferred or an alternate stylesheet</a>. Incorrectly using it may <a href="/en-US/docs/Correctly_Using_Titles_With_External_Stylesheets">cause the stylesheet to be ignored</a>.</dd>
 <dt>{{HTMLAttrDef("type")}}</dt>
 <dd>This attribute is used to define the type of the content linked to. The value of the attribute should be a MIME type such as <strong>text/html</strong>, <strong>text/css</strong>, and so on. The common use of this attribute is to define the type of stylesheet being referenced (such as <strong>text/css</strong>), but given that CSS is the only stylesheet language used on the web, not only is it possible to omit the <code>type</code> attribute, but is actually now recommended practice. It is also used on <code>rel="preload"</code> link types, to make sure the browser only downloads file types that it supports.</dd>
</dl>

<h3 id="Non-standard_attributes">Non-standard attributes</h3>

<dl>
 <dt>{{HTMLAttrDef("methods")}} {{Non-standard_Inline}}</dt>
 <dd>The value of this attribute provides information about the functions that might be performed on an object. The values generally are given by the HTTP protocol when it is used, but it might (for similar reasons as for the <strong>title</strong> attribute) be useful to include advisory information in advance in the link. For example, the browser might choose a different rendering of a link as a function of the methods specified; something that is searchable might get a different icon, or an outside link might render with an indication of leaving the current site. This attribute is not well understood nor supported, even by the defining browser, Internet Explorer 4.</dd>
 <dt>{{HTMLAttrDef("target")}} {{Non-standard_Inline}}</dt>
 <dd>Defines the frame or window name that has the defined linking relationship or that will show the rendering of any linked resource.</dd>
</dl>

<h3 id="Obsolete_attributes">Obsolete attributes</h3>

<dl>
 <dt>{{HTMLAttrDef("charset")}} {{Obsolete_Inline}}</dt>
 <dd>This attribute defines the character encoding of the linked resource. The value is a space- and/or comma-delimited list of character sets as defined in {{rfc(2045)}}. The default value is <code>iso-8859-1</code>.
 <div class="note"><strong>Usage note:</strong> To produce the same effect as this obsolete attribute, use the {{HTTPHeader("Content-Type")}} HTTP header on the linked resource.</div>
 </dd>
 <dt>{{HTMLAttrDef("rev")}} {{Obsolete_Inline}}</dt>
 <dd>The value of this attribute shows the relationship of the current document to the linked document, as defined by the {{HTMLAttrxRef("href", "link")}} attribute. The attribute thus defines the reverse relationship compared to the value of the <code>rel</code> attribute. <a href="/en-US/docs/Web/HTML/Link_types">Link type values</a> for the attribute are similar to the possible values for {{HTMLAttrxRef("rel", "link")}}.</dd>
 <dd>
 <div class="notecard note">
 <p><strong>Note:</strong> This attribute is considered obsolete by the WHATWG HTML living standard (which is the specification MDN treats as canonical). However, it's worth noting that <code>rev</code> is <em>not</em> considered obsolete in the W3C specification. That said, given the uncertainty, relying on <code>rev</code> is unwise.</p>

 <p>Instead, you should use the {{HTMLAttrxRef("rel", "link")}} attribute with the opposite <a href="/en-US/docs/Web/HTML/Link_types">link type value</a>. For example, to establish the reverse link for <code>made</code>, specify <code>author</code>. Also this attribute doesn't stand for "revision" and must not be used with a version number, even though many sites misuse it in this way.</p>
 </div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Including_a_stylesheet">Including a stylesheet</h3>

<p>To include a stylesheet in a page, use the following syntax:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link href="style.css" rel="stylesheet"&gt;
</pre>

<h3 id="Providing_alternative_stylesheets">Providing alternative stylesheets</h3>

<p>You can also specify <a href="/en-US/docs/Web/CSS/Alternative_style_sheets">alternative style sheets</a>.</p>

<p>The user can choose which style sheet to use by choosing it from the View &gt; Page Style menu. This provides a way for users to see multiple versions of a page.</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link href="default.css" rel="stylesheet" title="Default Style"&gt;
&lt;link href="fancy.css" rel="alternate stylesheet" title="Fancy"&gt;
&lt;link href="basic.css" rel="alternate stylesheet" title="Basic"&gt;
</pre>

<h3 id="Providing_icons_for_different_usage_contexts">Providing icons for different usage contexts</h3>

<p>You can include links to several different icons on the same page, and the browser will choose which one works best for its particular context using the <code>rel</code> and <code>sizes</code> values as hints.</p>

<pre class="brush: html no-line-numbers notranslate">&lt;!-- third-generation iPad with high-resolution Retina display: --&gt;
&lt;link rel="apple-touch-icon-precomposed" sizes="144x144" href="favicon144.png"&gt;
&lt;!-- iPhone with high-resolution Retina display: --&gt;
&lt;link rel="apple-touch-icon-precomposed" sizes="114x114" href="favicon114.png"&gt;
&lt;!-- first- and second-generation iPad: --&gt;
&lt;link rel="apple-touch-icon-precomposed" sizes="72x72" href="favicon72.png"&gt;
&lt;!-- non-Retina iPhone, iPod Touch, and Android 2.1+ devices: --&gt;
&lt;link rel="apple-touch-icon-precomposed" href="favicon57.png"&gt;
&lt;!-- basic favicon --&gt;
&lt;link rel="icon" href="favicon32.png"&gt;</pre>

<h3 id="Conditionally_loading_resources_with_media_queries">Conditionally loading resources with media queries</h3>

<p>You can provide a media type or query inside a <code>media</code> attribute; this resource will then only be loaded if the media condition is true. For example:</p>

<pre class="brush: html no-line-numbers notranslate">&lt;link href="print.css" rel="stylesheet" media="print"&gt;
&lt;link href="mobile.css" rel="stylesheet" media="all"&gt;
&lt;link href="desktop.css" rel="stylesheet" media="screen and (min-width: 600px)"&gt;
&lt;link href="highres.css" rel="stylesheet" media="screen and (min-resolution: 300dpi)"&gt;
</pre>

<h3 id="Stylesheet_load_events">Stylesheet load events</h3>

<p>You can determine when a style sheet has been loaded by watching for a <code>load</code> event to fire on it; similarly, you can detect if an error has occurred while processing a style sheet by watching for an <code>error</code> event:</p>

<pre class="brush: html notranslate">&lt;script&gt;
var myStylesheet = document.querySelector('#my-stylesheet');

myStylesheet.onload = function() {
  // Do something interesting; the sheet has been loaded
}

myStylesheet.onerror = function() {
  console.log("An error occurred loading the stylesheet!");
}
&lt;/script&gt;

&lt;link rel="stylesheet" href="mystylesheet.css" id="my-stylesheet"&gt;
</pre>

<div class="notecard note">
<p><strong>Note:</strong> The <code>load</code> event fires once the stylesheet and all of its imported content has been loaded and parsed, and immediately before the styles start being applied to the content.</p>
</div>

<h3 id="Preload_examples">Preload examples</h3>

<p>You can find a number of <code>&lt;link rel="preload"&gt;</code> examples in <a href="/en-US/docs/Web/HTML/Preloading_content">Preloading content with <code>rel="preload"</code></a>.</p>

<h2 id="Technical_summary">Technical summary</h2>

<table class="properties">
 <tbody>
  <tr>
   <th><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>Metadata content. If <code><a href="/en-US/docs/Web/HTML/Global_attributes/itemprop">itemprop</a></code> is present: <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a> and <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th>Permitted content</th>
   <td>None, it is an {{Glossary("empty element")}}.</td>
  </tr>
  <tr>
   <th>Tag omission</th>
   <td>As it is a void element, the start tag must be present and the end tag must not be present</td>
  </tr>
  <tr>
   <th>Permitted parents</th>
   <td>Any element that accepts metadata elements. If <a href="/en-US/docs/Web/HTML/Global_attributes/itemprop">itemprop</a> is present: any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td>{{ARIARole("link")}} with <code>href</code> attribute</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th>DOM interface</th>
   <td>{{DOMxRef("HTMLLinkElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "semantics.html#the-link-element", "&lt;link&gt;")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Added <code>imagesizes</code> and <code>imagesrcset</code> attributes.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "document-metadata.html#the-link-element", "&lt;link&gt;")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Added <code>crossorigin</code> and <code>sizes</code> attributes; extended values of <code>media</code> to any media queries; added numerous new values for <code>rel</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML4.01", "struct/links.html#h-12.3", "&lt;link&gt;")}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.link", 3)}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Link")}} HTTP header</li>
</ul>
